Subject: Re: Revell MiG-21MF
From: "Steve Bamford ARC" <[email-masked]>
To: "Pattie Aikens" <[email-masked]>
Date: Tue, 23 Mar 2004 13:27:31 -0800

Hi Bob,
Thanks for sending in your MiG-21 article.  I love the camo scheme.  I'll e-mail you when your article goes on ARC in about 3 weeks.

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: Pattie Aikens 
  To: Steve Bamford ARC 
  Sent: Tuesday, March 23, 2004 12:18 PM
  Subject: Revell MiG-21MF 

  Gallery Template #09

  Revell Mig-21MF 1/32

  By Bob Aikens--------------------

        Steve Bamford will insert full sized version of photo 01.jpg here 

  Here is the pre-Trumpeter MiG-21MF. Veteran modelers may remember this kit, and it being an offshoot of the much earlier Revell MiG-21 PF from about 1970, it doesn't have a lot of surface or interior detail. The cockpit/canopy area however, was reworked to make way for a new 2-piece canopy, an upgraded cockpit ans a slightly better K-1 seat. Newer features were also  a separate, larger avionics  hump, a GSh-23 belly cannon and a new, larger centerline drop tank.

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 

        Steve Bamford will insert a click-able smaller version of photo 04.jpg here.  Clicking on that photo will bring up the full sized version of photo 04.jpg 

       Steve Bamford will insert a click-able smaller version of photo 05.jpg here.  Clicking on that photo will bring up the full sized version of photo 05.jpg 

  The kit was released in 1994 using the inevitable  eruption of the (new) Balkan Wars after Tito's death as a marketing  backdrop. Two sets of decals were supplied-one for a light gray MF from the Republic of Croatia Air Force, the other for a  Nat. Met.   MF  from the  Republic  Air Force  of Bosnia- Hertsagovina.

        Steve Bamford will insert full sized version of photo 02.jpg here 

  I had seen this Frontal Aviation scheme   done in an old issue of Scale Aircrat Modeler fron the late 70's and always wanted to do one myself. I Used Tamiya  Acrylics and eye-balled the colors from a photo in a Squadron/Signal sc :Fighting Colors book - 'MiG-21 Fishbed  in Color  by Hans-Heiri Stapfer The stenciling is from the kit, the stars and numerals from the "decal box"..

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 06.jpg here.  Clicking on that photo will bring up the full sized version of photo 06.jpg 

       Steve Bamford will insert a click-able smaller version of photo 07.jpg here.  Clicking on that photo will bring up the full sized version of photo 07.jpg 

   A new 32nd scale MF has arrived on the scene, and from what I've seen it really makes this old clunker redundant-but then it hasn't been available for years! Anyway, here's a small nostalgic peek at a kit that's been  relegated to the dustbins of  modeling history.

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 08.jpg here.  Clicking on that photo will bring up the full sized version of photo 08.jpg 
         
       Steve Bamford will insert a click-able smaller version of photo 09.jpg here.  Clicking on that photo will bring up the full sized version of photo 09.jpg 

  Photos and text © 2003 by "your name goes here"